ConnectionProvider::FtpConnection Class Reference

class for FTP connections; returns Qore::FtpClient objects More...

Inheritance diagram for ConnectionProvider::FtpConnection:
[legend]

## Public Member Functions

| constructor (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| creates the FtpConnection object More...
*hash | getRuntimeOptions ()
| returns runtime options More...
string | getType ()
| returns `"ftp"`
Public Member Functions inherited from ConnectionProvider::AbstractConnection
| constructor (string n_name, string n_desc, string n_url, bool n_monitor, *hash n_opts, hash n_urlh, *string n_safe_url)
| creates the AbstractConnection object More...
object | get (bool connect=True, *hash rtopts)
| returns the underlying connection object More...
hash< ConfigInfo > | getConfigHash ()
| returns a ConfigInfo hash of static configuration information about the connection More...
*hash | getDefaultOptions ()
| returns default options
hash< ConnectionInfo > | getInfo (bool with_password=False)
| returns a ConnectionInfo hash of information about the connection More...
*hash | getOptions ()
| returns static / initialization options
*hash | getRealOptions ()
| returns options for saving the connection's configuration information
*hash | getRuntimeOptions ()
| returns runtime options
| parseTextOptions ()
| this method is called when parsing connection file definitions from text files when loading into the database More...
hash< PingInfo > | ping (bool throw_exception=False)
| returns a hash with the results of the ping operation More...

## Static Public Member Functions

static FtpConnection | make (string name, string desc, string url, bool monitor, *hash opts, hash urlh)
| static constructor

## Private Member Functions

FtpClient | getImpl (bool connect=True, *hash rtopts)
| returns an Qore::FtpClient object More...

## Additional Inherited Members

Public Attributes inherited from ConnectionProvider::AbstractConnection
string | desc
| connection description
date | last_check
| date/time of last check/ping
bool | loopback = False
| set to True for loopback connections
bool | monitor
| monitoring flag
string | name
| connection name
*hash | opts
| connection options
*hash | orig_opts
| original connection options
string | safe_url
| "safe" URL (password information removed)
string | status = "not checked"
| status string; in case of a connection error this string will be the error string
bool | up = False
| connection status flag; set by monitoring or explicit pings/connections
date | updated
| date/time of last update
string | url
| connection URL (potentially with password info)
hash | urlh
| broken down URL hash (as returned by Qore::parse_url())
Static Public Attributes inherited from ConnectionProvider::AbstractConnection
static *code | post_processing
| optional code for default post-processing of objects created by getImpl(); must take the object created and the connection name as arguments

## Detailed Description

class for FTP connections; returns Qore::FtpClient objects

supports the following runtime options in getImpl():

- `"path"`: overrides the path component in the URL at runtime
- `"path_add"`: appends the given string to the path component of the URL at runtime

## Member Function Documentation

## constructor()

ConnectionProvider::FtpConnection::constructor | ( | string | name,
|  | string | desc,
|  | string | url,
|  | bool | monitor,
|  | *hash | opts,
|  | hash | urlh
| ) |  |

creates the FtpConnection object

Parameters

  name | the name of the connection
  desc | connection description
  url | connection URL (potentially with password info)
  monitor | monitoring flag
  opts | connection options
  urlh | broken down URL hash (as returned by Qore::parse_url())

## getImpl()

FtpClient ConnectionProvider::FtpConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

private virtual

returns an Qore::FtpClient object

Parameters

  connect | if True then a connection is made any if there is any path in the URL a `CWD` operation is performed to change to the target directory
  rtopts | this connection type does not accept any runtime option, so this parameter is ignored

Implements ConnectionProvider::AbstractConnection.

## getRuntimeOptions()

*hash ConnectionProvider::FtpConnection::getRuntimeOptions | ( |  | ) |

returns runtime options

return a hash with the following keys reflecting support for the corresponding runtime options in getImpl():

- `"path"`: overrides the path component in the URL at runtime
- `"path_add"`: appends the given string to the path component of the URL at runtime